# The Red Matrix: include/permissions.php File Reference

All Classes Namespaces Files Functions Variables Pages
permissions.php File Reference

## Functions

| get_perms ()
| get_all_perms ($uid, $observer_xchan, $internal_use=true)
| perm_is_allowed ($uid, $observer_xchan, $permission)
| check_list_permissions ($uid, $arr, $perm)
| site_default_perms ()

## Function Documentation

check_list_permissions | ( |  | $uid,
|  |  | $arr,
|  |  | $perm
| ) |  |

Referenced by collect_recipients().

get_all_perms | ( |  | $uid,
|  |  | $observer_xchan,
|  |  | $internal_use = `true`
| ) |  |

get_all_perms($uid,$observer_xchan)

Parameters

  $uid | : The channel_id associated with the resource owner
  $observer_xchan,: | The xchan_hash representing the observer

Returns
  : array of all permissions, key is permission name, value is true or false

Referenced by achievements_content(), blocks_content(), change_channel(), channel_content(), connedit_content(), editblock_content(), editlayout_content(), editwebpage_content(), filestorage_content(), layouts_content(), page_content(), webpages_content(), and zfinger_init().

get_perms | ( |  | ) |

Referenced by connedit_content(), create_identity(), get_all_perms(), mail_post(), new_contact(), perm_is_allowed(), site_default_perms(), and zot_refresh().

perm_is_allowed | ( |  | $uid,
|  |  | $observer_xchan,
|  |  | $permission
| ) |  |

Referenced by Conversation\add_thread(), advanced_profile(), api_statuses_home_timeline(), api_statuses_repeat(), attach_by_hash(), attach_by_hash_nodata(), attach_count_files(), attach_list_files(), attach_mkdir(), attach_store(), chat_content(), chatsvc_init(), check_list_permissions(), common_content(), common_friends_visitor_widget(), RedDirectory\createDirectory(), RedDirectory\createFile(), RedFile\delete(), get_feed_for(), RedDirectory\getChild(), RedDirectory\getChildren(), item_post(), like_content(), photo_init(), photo_upload(), photos_album_widget(), photos_albums_list(), photos_content(), photos_list_photos(), photos_post(), poco_init(), post_activity_item(), process_delivery(), process_mail_delivery(), profile_content(), profile_load(), profile_sidebar(), RedChannelList(), Conversation\set_mode(), RedBrowser\set_writeable(), RedFile\setName(), subthread_content(), syncdirs(), tag_deliver(), tgroup_check(), viewconnections_content(), widget_photo_albums(), z_readdir(), and zot_feed().

site_default_perms | ( |  | ) |

Referenced by create_identity().